This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 904164

Summary: Optionally add product to the email subject line
Product: [Community] Bugzilla Reporter: Anne-Louise Tangring <atangrin>
Component: Email NotificationsAssignee: Simon Green <sgreen>
Status: CLOSED CURRENTRELEASE QA Contact: tools-bugs <tools-bugs>
Severity: high Docs Contact:
Priority: unspecified    
Version: 4.4CC: ebaak, fnasser, jingwang, mtyson, tkirby
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://bugzilla.redhat.com/show_bug.cgi?id=838964
Whiteboard:
Fixed In Version: 4.4-3 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-05-20 07:06:55 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Anne-Louise Tangring 2013-01-25 11:15:06 EST
Description of problem:
Hi,

We just moved from JIRA to Bugzilla, and we are getting messages with subjects like this:

[Bug 901629] New: Request for org.jboss.weld.servlet:weld-servlet-core build for layered

which just look like the BZ messages for many other projects, even if you limit filters
on bugzilla@redhat.com

Compare with:

[JBoss JIRA] (JBPAPP-10436) GUI Installer:Installation using auto.xml created during GUI installation steps fail to create shortcuts on desktop which were created during the GUI installation

Which identifies which bug tracking system it is coming from [JBoss JIRA},
PLUS the project the bug has been filed against (JBPAPP).

So, can something be set up for the "JBoss Enterprise Application Platform 6" product
in Bugzilla so the e-mail subjects are more descriptive?


Thanks in advance,
Fernando

If it helps, Fernando is not the only one who is asking for this. Though
he might be the first one to actually file an issue about it. Another
good thing JIRA gave, that we are now missing, is that the email from
JIRA looked to come from the person who edited the issue and not from
the JIRA tool itself. Combined with what product it came from, that
information is valuable when tracking issues for multiple products.

/Anne-Louise

+1. Given the increasing number of middleware products, the interactions
between them are getting increasing complex. As several products layer
on each other, tracking exactly where the request came from is getting
very difficult. More descriptive subjects would make it much easier to
wade through the deluge of bz's.

Trev

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Simon Green 2013-01-25 21:55:18 EST
The change will be to add the product name in the subject of the e-mail. This will be a user preference (available from the 'Preference' page in Bugzilla, and be OFF by default.

This change will also be to undo bug 838964 where we added the product to the top of the e-mail. We coped a bit of flak for doing that, and I don't want it to appear in potentially three different place.

I don't think putting 'Red Hat Bugzilla' in the subject line is of any benefit.
Comment 5 wangjing 2013-05-08 04:39:08 EDT
Verified on qe test env version 4.4.rc2-3(20130426) --> blocked by regression bug 960872
Comment 6 wangjing 2013-05-10 01:10:27 EDT
according to comment5, so set status Assigned.
Comment 10 wangjing 2013-05-16 03:46:06 EDT
Verified on qe test env version 4.4.rc2-3(20130513) --> pass
Verify steps:
1.Preferences-->General Preferences
2.check if there is a new option called 'Add product in the subject of e-mails'.
then expected result:

 there is a new option called 'Add product in the subject of e-mails'.

3. set option  'Add product in the subject of e-mails' value 'on'.
4. file a new bug and check the email generate:

then expected result: the product will be displayed in the subject, e.g.
Subject: [Bug 123] (Bugzilla) Add a new customer field

5.set option  'Add product in the subject of e-mails' value 'off'.
6.repeat step4.

then expected result: the product will not be displayed in the subject, e.g.
Subject: [Bug 123] Add a new custom field 

Actual results:
same with the expected results.